Bug 13682 - kickstart doesn't initialize the partition table
kickstart doesn't initialize the partition table
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 19:59 EDT by Joshua LeVasseur
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-17 15:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua LeVasseur 2000-07-10 19:59:33 EDT
The kickstart script refuses to initialize the partition table of a new
drive.  It reverts to interactive mode to ask the user whether the
partition table should be initialized.  The kickstart script ignores the
'zerombr yes' command.

Solution:
In anaconda/text.py, the NewtFstab object initialization forces the zeroMbr
parameter to 0 (around source line 207).  It should pass todo.zeroMbr as
the parameter.  Change the line to:
            todo.fstab = NewtFstab(todo.setupFilesystems,
                                       todo.serial, todo.zeroMbr, 0,
                                       todo.intf.waitWindow,
                                       todo.intf.messageWindow)
Comment 1 Brock Organ 2000-07-12 12:04:09 EDT
behavior verified ... thanks for the report!
Comment 2 Michael Fulbright 2000-07-17 15:52:14 EDT
Should be fixed in internal development tree.

Note You need to log in before you can comment on or make changes to this bug.